org.jboss.jca.core.spi.workmanager

## Class Address

- java.lang.Object
- - org.jboss.jca.core.spi.workmanager.Address

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Address>

      public final class Address
      extends java.lang.Object
      implements java.lang.Comparable<Address>, java.io.Serializable

  Defines an address of a WorkManager
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Address(java.lang.String workManagerId, java.lang.String workManagerName, java.lang.String transportId)` Constructor

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(Address a)`
    `boolean` | `equals(java.lang.Object o)`
    `static Address` | `fromMap(java.util.Map<java.lang.String,java.lang.String> map)` create an instance from a Map
    `java.lang.String` | `getTransportId()` Get the Transport id
    `java.lang.String` | `getWorkManagerId()` Get the WorkManager id
    `java.lang.String` | `getWorkManagerName()` Get the WorkManager name
    `int` | `hashCode()`
    `java.util.Map<java.lang.String,java.lang.String>` | `toMap()` return a map representing the instance
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Address

          public Address(java.lang.String workManagerId,
                         java.lang.String workManagerName,
                         java.lang.String transportId)

      Constructor
      Parameters:
        `workManagerId` - The id of the WorkManager
        `workManagerName` - The name of the WorkManager
        `transportId` - The id of the Transport

  - ### Method Detail

    - #### fromMap

          public static Address fromMap(java.util.Map<java.lang.String,java.lang.String> map)

      create an instance from a Map
      Parameters:
        `map` - the map
      Returns:
        the instance

    - #### toMap

          public java.util.Map<java.lang.String,java.lang.String> toMap()

      return a map representing the instance
      Returns:
        the map

    - #### getWorkManagerId

          public java.lang.String getWorkManagerId()

      Get the WorkManager id
      Returns:
        The value

    - #### getWorkManagerName

          public java.lang.String getWorkManagerName()

      Get the WorkManager name
      Returns:
        The value

    - #### getTransportId

          public java.lang.String getTransportId()

      Get the Transport id
      Returns:
        The value

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(Address a)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<Address>`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)